i3lock-color(1)

NAME
i3lock-color - improved screen locker

SYNOPSIS
i3lock [-v] [-n] [-b] [-i image.png] [-c color] [-t] [-p pointer] [-u] [-e] [-f] [-m]

DESCRIPTION
i3lock-color is a simple screen locker like slock. After starting it, you will see a white screen (you can configure the color/an image). You can return to your screen by entering your password.

IMPROVEMENTS

•   i3lock forks, so you can combine it with an alias to suspend to RAM (run "i3lock && echo mem > /sys/power/state" to get a locked screen after waking up your computer from suspend to RAM)

•   You can specify either a background color or a PNG image which will be displayed while your screen is locked.

•   You can specify whether i3lock should bell upon a wrong password.

•   i3lock uses PAM and therefore is compatible with LDAP, etc.

OPTIONS

-v, --version
    Display the version of your i3lock

-n, --nofork
    Don't fork after starting.

-b, --beep
    Enable beeping. Be sure to not do this when you are about to annoy other people, like when opening your laptop in a boring lecture.

-u, --no-unlock-indicator
    Disable the unlock indicator. i3lock will by default show an unlock indicator after pressing keys. This will give feedback for every keypress and it will show you the current PAM state (whether your password is currently being verified or whether it is wrong).

-i path, --image=path
    Display the given PNG image instead of a blank screen.

--raw=format
    Read the image given by --image as a raw image instead of PNG. The argument is the image's format as <width>x<height>:<pixfmt>. The supported pixel formats are: 'native', 'rgb', 'xrgb', 'rgbx', 'bgr', 'xbgr', and 'bgrx'. The "native" pixel format expects a pixel as a 32-bit (4-byte) integer in the machine's native endianness, with the upper 8 bits unused. Red, green and blue are stored in the remaining bits, in that order. Example:
    	--raw=1920x1080:rgb
    You can use ImageMagick’s convert(1) program to feed raw images into i3lock:
    	convert wallpaper.jpg RGB:- | i3lock --raw 3840x2160:rgb --image /dev/stdin
    This allows you to load a variety of image formats without i3lock having to support each one explicitly.

-c rrggbb, --color=rrggbb
    Turn the screen into the given color instead of white. Color must be given in 3-byte format: rrggbb (i.e. ff0000 is red).

-t, --tiling
    If an image is specified (via -i) it will display the image tiled all over the screen (if it is a multi-monitor setup, the image is visible on all screens).

-p win|default, --pointer=win|default
    If you specify "default", i3lock does not hide your mouse pointer. If you specify "win", i3lock displays a hardcoded Windows-Pointer (thus enabling you to mess with your friends by using a screenshot of a Windows desktop as a locking-screen).

-e, --ignore-empty-password
    When an empty password is provided by the user, do not validate it. Without this option, the empty password will be provided to PAM and, if invalid, the user will have to wait a few seconds before another try. This can be useful if the XF86ScreenSaver key is used to put a laptop to sleep and bounce on resume or if you happen to wake up your computer with the enter key.

-f, --show-failed-attempts
    Show the number of failed attempts, if any.

--debug
    Enables debug logging. Note, that this will log the password used for authentication to stdout.

i3lock-color options

-S=number, --screen=number
    Specifies which display to draw the unlock indicator and clock on. By default, they'll be placed on every screen. Note that this number is zero indexed. The ordering is dependent on libxinerama.

-B=sigma, --blur=sigma
    Captures the screen and blurs it using the given sigma (radius). Images may still be overlaid over the blurred screenshot.

--indicator
    Forces the indicator to always be visible, instead of only showing on activity.

--keylayout mode
    Displays the keylayout. Positionable similar to date, time, and indicator. Modes are as follows:
        0 - Displays the full string returned by the query, i.e. "English (US)" 1 - Displays up until the first parenthesis, i.e. "English" 2 - Displays just the contents of the parenthesis, i.e. "US"

-k, --clock, --force-clock
    Displays the clock. --force-clock also displays the clock when there's indicator text (useful for when the clock is not positioned with the indicator).

--composite
    Some compositors have problems with i3lock trying to render over them, so this argument is disabled by default. However, some will work properly with it, so it's been left enabled.

--pass-media-keys
    Allow the following keys to be used while the screen is locked by passing them through: XF86AudioPlay, XF86AudioPause, XF86AudioStop, XF86AudioPrev, XF86AudioNext, XF86AudioMute, XF86AudioLowerVolume, XF86AudioRaiseVolume.

--pass-screen-keys
    Allow the following keys to be used while the screen is locked by passing them through: XF86MonBrightnessUp, XF86MonBrightnessDown.

--pass-power-keys
    Allow the following keys to be used while the screen is locked by passing them through: XF86PowerDown, XF86PowerOff, XF86Sleep.

--insidevercolor=rrggbbaa
    Sets the interior circle color while the password is being verified.

--insidewrongcolor=rrggbbaa
    Sets the interior circle color for during flash for an incorrect password.

--insidecolor=rrggbbaa
    Sets the default "resting" color for the interior circle.

--ringvercolor=rrggbbaa
    Sets the ring color while the password is being verified.

--ringwrongcolor=rrggbbaa
    Sets the ring color during the flash for an incorrect password.

--ringcolor=rrggbbaa
    Sets the default ring color.

--linecolor=rrggbbaa
    Sets the color for the line separating the inside circle, and the outer ring.

--line-uses-ring
    Conflicts with --line-uses-inside. Overrides --linecolor. The line will match the ring color.

--line-uses-inside
    Conflicts with --line-uses-ring. Overrides --linecolor; the line will match the inside color.

--keyhlcolor=rrggbbaa
    Sets the color of the ring 'highlight' strokes that appear upon keypress.

--bshlcolor=rrggbbaa
    Sets the color of the ring 'highlight' strokes that appear upon backspace.

--separatorcolor=rrggbbaa
    Sets the color of the 'separtor', which is at both ends of the ring highlights.

--verifcolor=rrggbbaa
    Sets the color of the status text while verifying.

--wrongcolor=rrggbbaa
    Sets the color of the status text when "wrong".

--layoutcolor=rrggbbaa
    Sets the color of the keyboard layout text.

--indpos="x position:y position"
    Sets the position for the unlock indicator. Valid variables include:
        x - x position of the current display. Corresponds to the leftmost row of pixels on that display. y - y position of the current display. Corresponds to the topmost row of pixels on that display. w - width of the current display. h - height of the current display. r - the unlock indicator radius.

--timecolor=rrggbbaa
    Sets the color of the time in the clock.

--timestr="%H:%M:%S"
    Sets the format used for generating the time string. See strftime(3) for a full list of format specifiers.

--timepos="x position:y position"
    Sets the position for the time string. All the variables from --indpos may be used, in addition to:
        ix - the x value of the indicator on the current display. iy - the y value of the indicator on the current display.

--time-align, --date-align, --layout-align, --verif-align, --wrong-align, --modif-align, --greeter-align
    Sets the text alignment of the time, date, keylayout, verification text, wrong text, modifier text and greeter text.
        0 - centered (default) 1 - left aligned 2 - right aligned

--datecolor=rrggbbaa
    Sets the color of the date in the clock.

--datestr="%A, %m %Y"
    Sets the format used for generating the date string. See strftime(3) for a full list of format specifiers.

--{time, date, layout, verif, wrong, greeter}-font=sans-serif
    Sets the font used to render various strings.

--{time, date, layout, verif, wrong, greeter}size=number
    Sets the font size used to render various strings.

--datepos="x position:y position"
    Sets the position for the date string. All the variables from --indpos and --timepos may be used, in addition to:
        tx - the computed x value of the timestring, for the current display. ty - the computed y value of the timestring, for the current display.

--greetertext="text"
    Sets the greeter text. Defaults to "".

--greetercolor=rrggbbaa
    Sets the color of the greeter text.

--greeterpos="x position:y position"
    Sets the position for the date string. All the variables from --indpos and --timepos may be used.

--refresh-rate=seconds-as-double
    The refresh rate of the indicator, given in seconds. This should automatically align itself, but is somewhat buggy currently. Values less than one will work, but may result in poor system performance.

--veriftext="text"
    Sets the string to be shown while verifying the password/input/key/etc. Defaults to "verifying…".

--wrongtext="text"
    Sets the string to be shown upon entering an incorrect password. Defaults to "wrong!".

--noinputtext="text"
    Sets the string to be shown upon pressing backspace without anything to delete. Defaults to "no input".

--locktext="text"
    Sets the string to be shown while acquiring pointer and keyboard focus. Defaults to "locking…".

--lockfailedtext="text"
    Sets the string to be shown after failing to acquire pointer and keyboard focus. Defaults to "lock failed!".

--radius
    The radius of the circle. Defaults to 90.

--ring-width
    The width of the ring unlock indicator. Defaults to 7.0.

--bar-indicator
    Replaces the usual ring indicator with a bar indicator, with a variety of options.

--redraw-thread
    Starts a separate thread for redrawing the screen. Potentially worse for security, but makes the bar indicator still do its usual periodic redraws when PAM is authenticating.

--bar-direction={0, 1, 2}
    Sets the direction the bars grow in. 0 is the default (downwards, or rightwards, depending on the bar orientation). 1 is the reverse, and 2 is both.

--bar-width=15
    Sets the width of the minibars in the bar.

--bar-orientation={vertical,horizontal}
    Sets whether the bar is vertically or horizontally oriented. Defaults to horizontal.

--bar-step
    Sets the step that each bar decreases by when a key is pressed. A random bar is set to its max height, and then each neighbor is set to (height - step*distance).

--bar-max-height
    The maximum height a bar can get to. When a key is pressed, a random bar is set to this value, and then its neighbors are set to its height, minus the step value.

--bar-base-width
    The thickness of the "base" bar that all the bars originate from. This bar also takes on the ring verif and wrong colors to give authentication feedback.

--bar-color
    Sets the default color of the bar base.

--bar-periodic-step
    The value by which the bars decrease each time the screen is redrawn.

--bar-position
    Works similarly to the time/date/indicator expressions. If the bar is horizontal, this sets the vertical offset from the top edge. If it's vertically oriented, this sets the horizontal offset from the left edge.

DPMS
The -d (--dpms) option was removed from i3lock in version 2.8. There were plenty of use-cases that were not properly addressed, and plenty of bugs surrounding that feature. While features are not normally removed from i3 and its tools, we felt the need to make an exception in this case. Users who wish to explicitly enable DPMS only when their screen is locked can use a wrapper script around i3lock like the following:
	#!/bin/sh
	revert() {
	  xset dpms 0 0 0
	}
	trap revert HUP INT TERM
	xset +dpms dpms 5 5 5
	i3lock -n
	revert
The -I (--inactivity-timeout=seconds) was removed because it only makes sense with DPMS.

SEE ALSO
xautolock(1) - use i3lock as your screen saver convert(1) - feed a wide variety of image formats to i3lock

AUTHOR
Michael Stapelberg <michael+i3lock at stapelberg dot de> Jan-Erik Rediger <badboy at archlinux.us> Pandora <pandora at techfo dot xyz> Raymond Li <hi at raymond.li>